Subject: Re: bug#77214: `guix pull` fails with `autocrlf=true` in git config

From: Ludovic Courtès <[email-masked]>
Date: Mon, 14 Apr 2025 23:09:43 +0200

Hi Jodi,

Jodi Jodingtonstinski <[email-masked]> writes:

>  It would be great if you could try it and check that it works for you.
>  You can do that by:
>
>    rm -rf ~/.cache/guix/checkouts
>    git config --global core.autocrlf true
>    ./pre-inst-env guix download --git \
>       https://git.savannah.gnu.org/git/shepherd.git
>
> I did this and it worked!
> I also checked if the downloaded files had any carriage return characters and they did not, so AFAICT that guarantees autocrlf was
> ignored.
> thank you for this patch, I wasn't able to figure it out myself.

Pushed as b5e567bb2b277f89af493ba8cd0799fdb368a184.  Thanks for testing!

Ludo’.